Package org.apache.lucene.misc

## Class HighFreqTerms.TotalTermFreqComparator

- java.lang.Object
- - org.apache.lucene.misc.HighFreqTerms.TotalTermFreqComparator

- All Implemented Interfaces:
    `Comparator<TermStats>`
  Enclosing class:
    HighFreqTerms

      public static final class HighFreqTerms.TotalTermFreqComparator
      extends Object
      implements Comparator<TermStats>

  Compares terms by totalTermFreq

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TotalTermFreqComparator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compare​(TermStats a, TermStats b)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### TotalTermFreqComparator

          public TotalTermFreqComparator()

  - ### Method Detail

    - #### compare

          public int compare​(TermStats a,
                             TermStats b)

      Specified by:
        `compare` in interface `Comparator<TermStats>`